﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BIM.IFC.Export.UI
{
    /// <summary>
    /// The available user choices from the IFCExporter main export dialog.
    /// </summary>
    public enum IFCExportResult
    {
        /// <summary>
        /// Invalid selection before dialog is closed.
        /// </summary>
        Invalid,

        /// <summary>
        /// Export and save settings (if modified)
        /// </summary>
        ExportAndSaveSettings,

        /// <summary>
        /// Save settings but do not export
        /// </summary>
        SaveSettings,

        /// <summary>
        /// Cancel all changes
        /// </summary>
        Cancel
    }
}
